# Anbox Cloud - Anbox Stream Gateway

Anbox Cloud offers a software stack that runs Android applications in any cloud enabling high-performance
streaming of graphics to desktop and mobile client devices.

At its heart, it uses lightweight container technology instead of full virtual machines to achieve higher
density and better performance per host while ensuring security and isolation of each container. Depending
on the target platform, payload, and desired application performance (e.g. frame rate), more than
100 containers can be run on a single machine.

For containerization of Android, Anbox Cloud uses the well established and secure container hypervisor
LXD. LXD is secure by design, scales to a large number of containers and provides advanced resource
management for hosted containers.

Also have a look at the official Anbox Cloud website for more information.

> NOTE: Anbox Cloud is a paid offering. You will need a Ubuntu Advantage subscription for this charm to work.
> You can learn more at https://anbox-cloud.io

> **WARNING:** The *Ubuntu Advantage for **Infrastructure*** token every user gets for free for personal
> use does **NOT** work and will result in a failed deployment! You need to use a valid
> *Ubuntu Advantage for **Applications*** token to be able to deploy successfully.

## Anbox Stream Gateway

The Anbox Stream Gateway is the main charm used when streaming. It enables streaming of applications
over WebRTC with the help of agents.

Running the `anbox-stream-gateway` charm requires other charms to be deployed beforehand.

```sh
$ juju deploy cs:~nats-charmers/nats-9
$ juju deploy cs:~containers/easyrsa-318
```

```sh
$ juju deploy cs:~anbox-charmers/anbox-stream-gateway
$ juju config anbox-stream-gateway ua_token=<your UA token>
$ juju relate anbox-stream-gateway easyrsa
$ juju relate anbox-stream-gateway nats
```

For more information about streaming, visit the official documentation
on https://anbox-cloud.io/docs/manage/streaming-android-applications
