#
# Anbox Stream Gateway
# Copyright 2020 Canonical Ltd.  All rights reserved.
#

from charms.reactive import Endpoint


class HAGatewayPeer(Endpoint):
    def register(self, address):
        for relation in self.relations:
            if relation.application_name != 'anbox-stream-gateway':
                continue

            relation.to_publish['listen-address'] = address


    def peers(self):
        peers = []

        for relation in self.relations:
            # this situation should never happen as a user would have to
            # specifically create a relation between the stream-gateway
            # and another charm
            if relation.application_name != 'anbox-stream-gateway':
                continue

            for unit in relation.joined_units:
                addr = unit.received['listen-address']
                if addr:
                    peers.append(addr)
        return peers
