#!/bin/sh -ex
#
# Anbox - The Android in a Box runtime environment
# Copyright 2019 Canonical Ltd.  All rights reserved.
#

flake8 lib reactive --config tox_unit.ini

# Check the grafana dashboard is properly constructed
dashboard_path='templates/grafana_dashboard.json'
cat "$dashboard_path" | jq -e '.dashboard' > /dev/null
cat "$dashboard_path" | jq -e '.dashboard | select(.id == null)' > /dev/null

# Make sure the proper data sources are configured
other_sources=$(grep '"datasource":' templates/grafana_dashboard.json | grep -Ev '(prometheus - Juju generated source)|null' | wc -l)
test "$other_sources" -eq 0
